30-05-2010
----------

xa_fsel:

redraw slider when directory-read is done
---------------------------------------------------------------------
scrlobjc:

call slider only if rdrw (redraw) is true
---------------------------------------------------------------------
taskman:

no ' ' before "toggle load" in the button-text
---------------------------------------------------------------------
28-05-2010
----------

taskman:

fix numeric overflow when calculating vertical position of ticks in load-display.
---------------------------------------------------------------------
26-05-2010
----------

xversion (xversion.sh Makefile):


use ls to find latest source avoiding -nt to be independant
of the installed shell.
---------------------------------------------------------------------
taskman:

taskmanager
- in creating non-client-list first check if pid still valid.
- add some additional NULL-pointer-checks.
---------------------------------------------------------------------
menuwidg:

dont popup submenu at initial open of a popup.
---------------------------------------------------------------------
widgets:

build_windlist_pu uses shorter entries now if screen-width < 800, depending on
mouse-position 12 or 32 bytes, to avoid submenu overwriting popup.
---------------------------------------------------------------------
16-05-2010
----------

select (cnf_xaaes.c form.c k_keybd.c k_keybd.h menuwidg.c scrlobjc.c xa_fsel.c xa_types.h xa_wdlg.c):


New config-variable: spaceXinsert[true,false] in app_options, default
false, exchanges space/insert-behaviour in dialogs.
---------------------------------------------------------------------
draw_obj:

- improved sanity-check for state_mask: compare to saved value

- emit an ALERT instead of boot-logging

- kill the client that has an invalid state_mask
---------------------------------------------------------------------
k_init:

try to open virtual wk check only if nvdi (reverted previous change):
emutos 0.8.5 would crash

---------------------------------------------------------------------
11-05-2010
----------

draw_obj:

save/restore d3-d7/a3-a6 for call of progdef-callback
---------------------------------------------------------------------
form:

check tedinfo-pointer for 0 in Form_Button
---------------------------------------------------------------------
init:

reset single-task-flags for kernel at startup

---------------------------------------------------------------------
k_main:

reset single-task-flags for kernel at exit

---------------------------------------------------------------------
xa_appl:

- enter single-task-mode also if client is already defined in appl_init

- single-task-client may launch another app which is then also single-task
---------------------------------------------------------------------
xa_pdlg:

do not use signal to call a callback in callout_pdlg_sub
---------------------------------------------------------------------
02-05-2010
----------

k_main:

pretty-print alert-text
---------------------------------------------------------------------
taskman:

- add info about memory-protection to system-window

- rearranged system-window-contents
---------------------------------------------------------------------
xa_appl:

set nxt_menu to std_menu to run swap_menu() after leaving single-task-mode
---------------------------------------------------------------------
01-05-2010
----------

single-task2 (draw_obj.c xa_appl.c):


Dont reference the basepage of other processes to avoid a
memory-violation. Now uses _memflags instead to control the
single-task-operation.

---------------------------------------------------------------------
taskman:

- top Main-Thread instead of Help-Thread when selecting XaSYS.

- pass local buffer not env-string to list->add

- 'Chunky' pixel-format is now called "Atari" (was "Generic")
---------------------------------------------------------------------
k_init:

try to open virtual wk also if nvdi not present.
---------------------------------------------------------------------
25-04-2010
----------

single-task-mode (app_man.c k_init.c taskman.c widgets.c xa_appl.c xa_appl.h xa_shel.c):


First version of a single-task-mode in XaAES.

This implies:

Stop all AES-Clients except the console-owner if any (e.g. toswin)

Call ikbd_scan in the kernel directly not via addroottimeout in case
the single-task-client disabled the timer-interrupt.

To control this currently there has to be the bit 16 (0x10000) set in
p_flags of the relevant binary.

Any client that has bit 17 (0x20000) set, is not stopped except when the
single-task-app has this bit also set, i.e. when it has 0x3xxxx.
This may be important because the single-task-client possibly does tty-IO,
and needs the toswin (or another) console.

---------------------------------------------------------------------
11-04-2010
----------

taskman:

avoid buffer-overflow while reading /kern.

---------------------------------------------------------------------
scrlobjc:

avoid buffer-overflow while displaying text-item.

---------------------------------------------------------------------
xa_shel:

launch:

	- if a client is launched from launch_path, and the entry is a
symlink, home_path for that client is set to the directory of the
link-target. It behaves then as if started from that directory, and
finds its resource- and other files.

---------------------------------------------------------------------
08-04-2010
----------

draw_obj:

d_g_progdef: call progdef-function directly, not via signal.

---------------------------------------------------------------------

taskman:

handle_launcher: do not overwrite cfg.launchpath.
---------------------------------------------------------------------
02-04-2010
----------

mt_gem:

added comments for PARMBLK.
---------------------------------------------------------------------
xa_types:

An AES-object is only valid if item is >= 0 (was != -1).
---------------------------------------------------------------------
xa_fnts:

corrected the font-selector: List all fonts, style and family only valid for outline-fonts.
---------------------------------------------------------------------
k_main:

force killing a client that caused a memory-violation.
---------------------------------------------------------------------
obj-cursor (draw_obj.c draw_obj.h form.c scrlobjc.c)

use different method to display/remove obejct-cursor. Now it is removed
by drawing a rectangle with the assumed background-color and displaying
the previously focussed object.

---------------------------------------------------------------------
28-03-2010
----------

c_window:

include xa_wind.h for XA_wind_set
---------------------------------------------------------------------
cursor (draw_obj.c form.c xa_objc.c):

improved display of object-cursor and edit-cursor.
---------------------------------------------------------------------
obtree:

improved alt-shortcuts: added a pass for shortcuts defined in the
resource ahead to avoid conflicts. Preference now is:

1. predefined shortcuts (>0!)
2. touchexit
3. other


---------------------------------------------------------------------
shortcuts (k_keybd.c widgets.c):

new ctrl-alt-shortcuts:

	- I: (un-)iconify top window

	- Cursor right: full top window
---------------------------------------------------------------------
xa_help:

update for new shortcuts
---------------------------------------------------------------------
21-03-2010
----------

debug:

added conditional BLOG: BLOGif.
---------------------------------------------------------------------
inlining:

obtree.c ob_inlines.h:

de-inlined disable_object, set_aesobj_uplink, ob_offset, clean_aesobj_links.
---------------------------------------------------------------------
nap:

k_main.c xa_evnt.c:

disabled the keyboard-access-patch, it works without it.
---------------------------------------------------------------------
widgets:

- Use wt-area for dialog, else window-area for widget-area in rp2ap_obtree.

- removed a bug that did read from address 0.
---------------------------------------------------------------------
xa_lbox:

- don't inline f_select (no gain).

- minor optimization
---------------------------------------------------------------------
14-03-2010
----------

k_keybd:

call queue_key without checking waiting_pb.
---------------------------------------------------------------------
nap:

	- give every call to cancel_evnt_multi in k_main a different second parameter (eases debugging)

	- EXPERIMENTAL:
		if focussed client doesn't wait for any event
		give it some cpu (nap()) to read keyboard (see anyplayer:"whithout
		GEM"). I encountered anyplayer crashes sometimes if F9 is pressed not reproducible.


---------------------------------------------------------------------
scrlobjc:

call draw_window always if window has nolist set
---------------------------------------------------------------------
taskman:

windows created for TOOLBAR now listed in taskmanager
---------------------------------------------------------------------
win_draw:

if window has a TOOLBAR real workarea is used to draw window-frames,
else workarea.
---------------------------------------------------------------------
xa_graf:

improved boundary-cheking when resizing windows.
---------------------------------------------------------------------
xa_shel:

clients get pgrp of loader again as now the loader catches SIGTERM. This
allows clients to read the keyboard.
---------------------------------------------------------------------
xa_fsel:

	- added experimental code for never blocking fileselector

	- removed unused variable 'locked'
---------------------------------------------------------------------
11-03-2010
----------

draw_obj:

BOXTEXT-objects also moved when resizing xaaes-windows

---------------------------------------------------------------------
form:

Alert-shortcuts may be entered without pressing ALT.
---------------------------------------------------------------------
taskman:

	- fixed a bug in bar-size-calculation in load-display

	- OK-Button no more used to calc minimum witdh of taskmanager-window
---------------------------------------------------------------------
xa_graf:

in check_wh_cp maxw is also checked on horizontal resizing
---------------------------------------------------------------------
10-03-2010
----------

xa_menu:

When menu_attach is called with ME_ATTACH(1) and a NULL-pointer for mdata,
ME_REMOVE(2) is performed instead.
---------------------------------------------------------------------
mousepointer:

Add N.AES-numbers X_UPDOWN(10) and X_LFTRT(9) for mouse-form. Reported by zorro.
---------------------------------------------------------------------
08-03-2010
----------

thinwork:

apply some corrections for toolbar-windows if thinwork=false.
---------------------------------------------------------------------
07-03-2010
----------

c_window:

	- removed previous change to force redrawing the area above vslider (now
		in set_and_update_window).

	- better calculation of minimum-window-height
---------------------------------------------------------------------
xa_wind:

change minimum-window-height according to toolbar
---------------------------------------------------------------------

scrlobjc:

call draw_window only if top when resetting widgets for list-window to
avoid clipping-error.
---------------------------------------------------------------------
xversion:

if xversion.h does not exist don't break out of loop.
---------------------------------------------------------------------
c_window:

- redraw-corrections

	- draw additional bar only for MENU

	- increase width of workarea by vslider-width if toolbar installed on resize-redraw


---------------------------------------------------------------------
draw_obj:

use passed lock-value for WM_SIZED-message for list-window on resize.
---------------------------------------------------------------------
form:

disabled unreached code.
---------------------------------------------------------------------
menuwidg:

minor optimization
---------------------------------------------------------------------
05-03-2010
--------

xa_wind:

corrected work-area for WF_TOOLBAR
---------------------------------------------------------------------
menuwidg:

If client of a popup blocked AES (e.g. nonwindowed dialog) set
STORE_BACK for the popup-window.
---------------------------------------------------------------------
04/03/10
--------

c_window:

- redraw if toolbar and vertical slider installed

	- force redrawing the area above vslider

- uniconify with toolbar and vertical slider installed

	- re-install the toolbar to achieve correct vslider

---------------------------------------------------------------------
taskman:

	- kill-clients-during-shutdown-dialog

		- If client-name cannot be obtained use proc-name from kernel

		- Print also pid of client
---------------------------------------------------------------------
widgets:

toolbar obtains whole width of window.
---------------------------------------------------------------------
xa_wind:

	- set correct size for vertical slider if toolbar installed (below toolbar)

---------------------------------------------------------------------
xversion:

break out of loop if a newer file is found (speedup)
---------------------------------------------------------------------
27.2.10

xa_wdlg:

call obj_edit if same obj also in wdialog_event to allow keyboard-input
for edit-fields
---------------------------------------------------------------------

form:

Can also handle XTEDINFO-method now when determining start and pos for edit-objects.
---------------------------------------------------------------------

26.2.10
---------------------------------------------------------------------

c_window:

If a widget is set but not installed draw a bar to avoid transparence of window.
---------------------------------------------------------------------

xa_wind:

Avoid multiple redraws of toolbar, always redraw work-area.
---------------------------------------------------------------------

25.2.10

init:

use "xaaes.rsc" as default in case resource is not defined in xaaes.cnf.

---------------------------------------------------------------------
taskman:

Use standard redraw instead of close/open taskmanager to remove load-display.

---------------------------------------------------------------------
xa_wind:

Fixed toolbar-operations

	- remove toolbar on an open window
	- add toolbar to an open window
	- change toolbar on an open window

---------------------------------------------------------------------

22.2.10

system-resource-file:

The system-resource-file now has a version-number (currently 0.0.9), which gives xaaes009.rsc.
If this file is not found the name defined in xaaes.cnf by

resource = <name>

is used if present. So no copying/renaming of resource-files when switching
between xaaes-versions is necessary.

---------------------------------------------------------------------
20.2.10

config:

| is no longer word-separator.
---------------------------------------------------------------------
init:

Moved the semaphore-test from init() to k_main(). init() runs on behalf
of xaloader. If xaloader gets killed the semaphore never will be
destroyed.

Moved the #defines for p_semaphore to xa_defs.h

---------------------------------------------------------------------
launcher:

Last path-separator is used to split path and pattern instead of * while
checking for existing launchpath.
---------------------------------------------------------------------
xa_defs:

Created #defines for number and length of patterns.

Moved #defines for p_semaphore to xa_defs.h
---------------------------------------------------------------------
matching:

Extended pattern-matching: Now matching *[], *!, *![], !<whole pattern>
possible. Patterns concatenated with | will result in any pattern to be
tested for a match. This allows for example
launchpath=<somepath>\*.prg|*.app|*.tos|*.ttp|*.acc|!*.*
to filter for extensions typical for executable files.
---------------------------------------------------------------------
xaloader:

Some signals are catched. xaloader should not exit for MiNT may be
waiting for xaloader.
---------------------------------------------------------------------
fsel:

If the filename in the edit-field contains meta-characters (one of
*?![|), it is interpreted as a pattern. In this case <return> results in
refreshing the file-list using this pattern and adding the pattern to
the pattern-list, not in entering a directory. The patterns defined in
xaaes.cnf remain unchanged.

Now 16 patterns of 48 bytes each are possible instead of 23 patterns of
16 bytes.
---------------------------------------------------------------------
global:
Replaced numbers for array-size with #defined values from xa_defs.h for cfg.Filters.
---------------------------------------------------------------------

11.1.10

	- xa_rsrc.c

		- added another sanity-check while loading a resource-file

		- todo: name resource-file with version, e.g. xaaes009.rsc

8.1.10

	todo:

		- find places in the code where phys-handle or virtual handle is required

		- add Ssystem(OS_FEATURES) to System-window

		- C-A for Fuller, Iconifier

		- don't use the color cyan (fileselector)

		- initial slider wrong (fileselector)

6.1.10

	- opening of vdi-workstation

		- if a physical workstation is already open at startup, it is used.
			This is tested by trying to open a virtual workstation. If this succeeds this virtual
			workstation is used and no phyiscal is opened.

			This allows for example XaAES to be launched by the atari-desktop and thus be used with
			nvdi-et4000 (under MiNT > 1.15).

			It would also be possible to implement an external app to execute the resolution-change, which
			would reduce code-size in XaAES and make it easier to develop the resolution-change-app.

		- tested on:

			- TT-High

			- win-aranym 0.9.9

			- TT+crazy-dots+nvdi-et4000

			- CT60

17.12.09

	- fileselector not moved any more when sized by top border
		if window is sized it cannot be moved at the same time (reposed?)

(note)
I'm not sure if what I did is 100% - there was a possibility to send
sized and moved at the same time - I just told it to only move if both.
This size&move is called reposed, I don't know what this is, but didn't
notice anything not working.

In realtime-mode you may still notice some funny things, but it stays where it where.

14.12.09

	- avoid multiple start by implementing a semaphore-test

10.12.09

	- syslog-window

		-fixed a bug that caused a crash when a file in /kern was too big

	- scrolllists

		- jumping vertical slider fixed

29.11.09

	- pixel-format-detection

		- now uses color-index 6 (yellow) to set the color for pixel-format-detection instead of rgb(1000,1000,0).

28.11.09

	- blitting

		- blitted rectangles are word-aligned, for in 8 bit-pixel-depth there was a redraw-error at least with fvdi

25.11.09

	- alternative snapshot-feature

		- new config-variable: snapshot

			snapshot=<path/name>, e.g. snapshot=u:/usr/local/bin/snapshot

			The external snapshot is called with the arguments: '0 T 1 [x y w h]'
			where T=0: full screen, T=2: top window
			if x, y, w, h are provided, this rectangle should be snapped.

		- if XaAESSnap is not loaded, the external program that is defined in xaaes.cnf for snapshots
			is called, if present

21.11.09

	- fileselector

		- if an entry is selected in the list-box, Cursor-Right focusses the edit-field,
			so the selection can be edited

19.11.09

	- taskmanager

		- display actual load and load-average. To use this completely, a patched MiNT is necessary.

12.11.09

	- added fvdi_version to the common-structure

	- shutdown

		- if fvdi is used, the physical workstation is not closed because it would crash (fixed in my fvdi)

		- XaAES now cleanly exits to the calling process (not if standard fvdi)

5.11.09

	- fileselector

		- improved keyboard-navigation in fileselector again

		- if fileselector finds a match while typing that match is returned on OK

	- main-menu

		- launcher now opens only once at a time: its not reentrant

3.11.09

	- sliders are switched off in XaAES-windows if not needed

	- fixed: if the taskmanager-window was below a popup, it received mouse clicks (k_mouse.c#455)

2.11.09

	- selecting OK in the taskmanager unhides the selected client

	- Buttons in XaAES-windows are now moved horizontally when window is resized

	- removed a bug that triggered when a list-entry-text was changed and the new text was longer than before

1.11.09

	- about

		- window is resizable

	- taskmanager

		- kill on all process-entries possible with some restrictions to system-processes

		- sleep/wake cause SIGSTOP/SIGCONT-signals to be sent to the selected process

			-todo: allow Delete-key for kill/terminate

	- scrlobjc.c

		- added icon_w and char_width to scroll_info, removed the static variables

29.10.09

	- taskmanager

		- enlarged initial size of window in resource

28.10.09

	- taskmanager

		- also lists non-AES-apps

		- displays more process-information in a table

		- displays memory-statistics

27.10.09

	- new C-A-shortcuts

		- Help: about, K: launch, B: open syslog
			tofix: no AES-internal window if fileselector open possible when menu is locked ?

	- user-supplied file xa_help.txt located in the xaaes-start-directory is displayed in about-window

26.10.09

	- taskmanager

		- additional information of clients and memory	(very experimental, off by default)

25.10.09

	- syslog-window

		- now also contains informations about the computer and MiNT-version.

		- alerts have a timestamp

	- in main-menu the syslog-window-entry is named System. Disabled the other one as well as Resolution-change.

24.10.09

	- unset TS_COOKED of console-tty-state in main-loop once a second if no input arrived
		This should avoid Control-keys to be handled as terminal-control-chars by MiNT.

22.10.09

- taskmanager

	- displays current priority instead of base-priority

- main

	- set tty into COOKED and CRMOD before the main-loop to have correct console-output

- display_object

	- if screen has 1 plane, wr_mode for state-display is set to MD_REPLACE,
		so checked-symbol is visible, especially in the windows-submenu

- top_window

	- does nothing if window is already top and has focus, else it would be untopped

19.10.09

- fixed bugs

	- if open taskmanager is topped by ctrl-alt top-window now gets unfocussed

	- process with no name not listed in taskmanager and submenu (if tw-call runs a prog in toswin-window)

- new feature

	- priority of clients in taskmanager gets updated on every (re-)open, e.g. C-A-F

29.09.09

- ALT-shortcuts also if resource is compiled into program

- new config-variable: alt_shortcuts

  0: no shortcuts
  1: shortcuts for alerts
  2: shortcuts for dialog
  3: 1+2

  default: 3

  example:
  app_options = diskus, alt_shortcuts = 0

	For teradesk >= 4 you need: app_options = DESKTOP, alt_shortcuts = 1

- launcher is now called launchpath in the config, for this is what it does

- improved keyboard-navigation in windows with list-windows
    blank enters/exits the list-window if focus is not EDITABLE
    (works ok if one list-window in the window, if more not so good)


20.9.09

- taskmanager also lists windows

- Ctrl-Alt-shortcuts: F|L: open taskmanager, E: open windows-submenu


<------------everything below is in all current versions ------------------------->

13.08.09

- New features

	- Form_do-dialogues

		- Insert-key selects/deselects an object (dialog, alert-box)

			If an object is SELECTABLE, pressing the Insert-key now toggles the SELECTED-state.
			This should not interfere with any application, because Insert had no meaning in form_do before.
			If you want to use the "feature" to delete to eol of previous versions, you can press any F-key.

			The old behaviour (select with Space) has been removed for objects can be SELECTABLE and
			EDITABLE at the same time

	-List-Windows

		- Copy List-Entry to Clipboard

			By pressing Ctrl-C the marked List-Entry is copied  to Clipboard

			Press Cursor-key Up or Down before using this.

	- Fileselector

		- Shortcut to open menu

			The menu is opened by Ctrl-o.

		- Copy Path/File to Clipboard

			By pressing Ctrl-C the path and the marked file (if any) is copied  to Clipboard.

	- Syslog-window

		- It is resizeable now

		- Entries are sorted by name

		- Keyboard-navigation in list is working (Cursor-right:open tree,Cursor-left:collapse up/down: the obvious)

	- Taskmanager

		- It is resizeable now

		- List is a tree, whereas clients are parent and their windows the children

		- If exited with Ok, and a client is selected, this client is topped. Unselect with Space.

		- If exited with Ok, and a window is selected, this window is topped. Unselect with Space.

- Fixes/Changes

	- Syslog-window, Taskmanager

		- List (de-)selected with Space

	- Form_do-dialogues

		- Sightly changed the search algorithm in ob_find_next_any_flagstate()

			The items do not have to be placed in a perfect grid but may have more deliberate coordinates.
			This affects horizontal moves between the dialog-items.

		- Consistance between focus and edited object on first open of a dialog.

			Sometimes the focus pointed to another object than keyboard input went to.

			In windowed mode, if the focussed object is EDITABLE, keyboard-input now goes to it.
			In nonwindowed dialogs this is not guaranteed (see below).

		- Alt-shortcuts enabled.

	- Fileselector

		- now creates ALT-shortcuts that dont conflict with drive-letters, if possible.

		- PageUp/Down(Shift-CU/CD) pages the filelist.

		- Shift-Home(Shift-Pos1) goes to the end, another one sets the cursor to the file
				before the last file (This should be the last - I'm working on it).

		- on entry focus is in the filelist, so the first Cursor Up/Down moves the Cursor there.
				Use Shift-TAB or mouse to focus on the edit-field.

		- italic text is now displayed completely (even if fvdi is used).

		- Path-Beautifying

				No mixure of / and \ in the Path. The first / or \ is used for all sparators.

		-Menu

			- Sort by Art is now called Sort by Ext. (new resource-file needed)

		- Sorting is now case-sensitive, i.e. Z is placed before a (like ls does).

		- File-Pattern is now case-sensitive, except an all-uppercase pattern is given by the caller
			or the filesystem is uppercase (like FAT)

		- non-visible changes

			- increase in rendering-speed (Sort by Name-mode mainly)
				This is most obvious on a slow computer like Atari TT (>5 times faster at ~250 files).

	- Fontselector

		- Displays all available fonts

		- Return closes and accepts (new resource-file needed)

	- Shell

		- give launched apps their own pgrp so killgroup cannot affect XaAES

	- General

		- removed several unused global symbols, made others that where used in one file ony, static.
			This saves some Kb in the executable.


-------------------------------------------------------------------------------------------------


- Todo/Wishlist:

 - Fixes

	- windows-submenu

		If actual top-window is selected, it should not get untopped

	- Copy List-Entry to Clipboard

		Selected item should be copied without using any key before.

	- Form_do-dialog

		- Respect form_do-Parameter (non-windowed mode)

		At open of a dialog, the first focussed object is quite arbitrary. It should be the one given
		in the form_do( tree, ob ) - call by the client, at least on the first opening.
		In effect keyboard-input correctly goes to the first item, but this is not always the one
		that is focussed.

	- form_do, alerts

		If there are more TOUCHEXIT-buttons and a DEFAULT, the DEFAULT should be changed if another
		TOUCHEXIT is focussed by TAB to the one focussed.

	- Fileselector

		- add a pattern at runtime

			- if user types *.<pattern> in the edit-field this should be the new pattern and be
				added to the patterns-list

		- Horizontal slider

			- does not always recognize clicks
				-> Go one dir up, enter again to scroll

			- size is sometimes incorrect

			- often drawn unnessecarily

		- Rendering

			- The distance between the columns is not perfect if the layout changed due to longer names.

			- Background-Color is not really white (on win-aranym).


		- Selected item not always in edit-field

			Same as for clipbrd-copy: Cursor-Up/Down nessecary to copy the filename to the edit-field.
			(fixed?)

		- Keyboard-movement

			- no way to select the last entry directly
				-> go to first (Pos1/Home), press Cursor up
			(nearly fixed)

		- Special directories

			- if trying to go back up from a non existing or special system-directory (/shm, /nfs),
				Cursor-left noes not work.
				Mouse and Ctrl-Backspace do.

		- Further speed-improvement.


	- Fontselector

		- mouse-click does not set focus into list-window

		- set cursor to current font in font-list at startup

	- List-Windows

		- sometimes wrong selection of widgets.

	-	General

		- Resources

			The memory-usage can possibly be reduced (it uses ~500kb more than version 0.997).

		- Usability

			If a program is very busy and does not respond, the menu is inaccassible. One can only
			kill this program via the task-manager or wait until it is finished (try Highwire on a very
			big html-file)


	- Main-menu

		- Resolution-Change

			- This feature is disabled (as it was in the original)
				-> Remove from menu or implement it

-

 - New features

	- More Editing features in form_do

		Many special-keys for editing could be used to make it still more comfortable to use (old good)
		form_do (End, Beg, Next Word, Delete Word, Overwrite ...).

	- Fileselector

		-	Select the columns to be displayed

		- Specify sort-direction (ascending/descending)

		-	Remember settings (global - for all apps)

		-	Select the font to be used

	- Taskmanager

		- Display memory/CPU-usage as graph for each client/prog

		- Display memory/CPU-usage as graph for the whole system

		- Display network-traffic as graph (for each client/prog?)

	-	xaaes.cnf

		- configure shortcuts to launch any process by hotkey



helmut.karlowski@ish.de
